


/* -------------------- filter panel ---------------------------- */
.filter-panel-button{
    margin-top: var(--space-6);
}

.filter-panel-button img{
    padding: var(--space-2);
    background-color: var(--primary-2-lighter-2);
    width: 4.8rem;
    height: 4.8rem;
    border-radius: 50%;
}


.filter-panel {
    position: fixed;
    
    top:50%;
    left:50%;
    
    width: min(90%, 90rem);
    max-height: 90dvh;

    overflow-y: auto;

    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(20rem, 1fr));
    column-gap: var(--space-2);
    row-gap: var(--space-2);
    align-items: center;

    padding: var(--space-1);

    box-shadow: var(--shadow-md);
    backdrop-filter: blur(18px) saturate(130%);
    
    border-radius: var(--radius-lg);

    transform: translate(-50%, -45%) scale(0.96);

    opacity: 0;
    visibility: hidden;
    pointer-events: none;

    transition:
        transform 0.3s ease,
        opacity 0.3s ease,
        visibility 0.3s ease;
    
    z-index: 2001;
}

.filter-panel.is-open {
    transform:
        translate(-50%, -50%)
        scale(1);

    opacity: 1;
    visibility: visible;
    pointer-events: auto;
}

.close-filter-panel-button{
    position: sticky;
    top:var(--space-2);
    right:var(--space-2);
    display: flex;

    align-items: center;
    justify-content: center;

    width: 3.2rem;
    height: 3.2rem;
    
    
}
.close-filter-panel-button img{
    width: inherit;
    height: inherit;
}
.filter-overlay {
    position: fixed;
    inset: 0;

    background: rgba(0, 0, 0, 0.35);

    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);

    opacity: 0;
    visibility: hidden;
    pointer-events: none;

    transition:
        opacity 0.3s ease,
        visibility 0.3s ease;

    z-index: 2000;
}

.filter-overlay.is-open {
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
}

.filter-panel  div {
    display: flex;
    flex-direction: column;
    gap:var(--space-2);
    justify-content: center;

    margin: var(--space-4);

    box-shadow: var(--shadow-sm);
    overflow: hidden;
    border-radius: var(--radius-md);

    padding: var(--space-2) var(--space-4);
}

.filter-panel label {
    font-size: 1.8rem;
    font-weight: 500;
    text-align: center;
    
    align-self: flex-start;

    margin-right: var(--space-4);
}

.filter-panel select,
.filter-panel option,
.filter-panel input {
    font-size: 1.3rem;
    font-weight: 500;
    height: 3.2rem;
}

.filter-panel > div:focus-within label{
    text-shadow: var(--shadow-sm);
}

.filter-panel > div:focus-within {
    box-shadow: var(--shadow-md);
}

#filterActions{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap:var(--space-4)
}

#filterActions button{
    background-color: var(--primary-3-darker-3);
    display: flex;
    align-items: center;
    justify-content: space-between;
    
    width: 100%;
    height: 3.2rem;

    padding: var(--space-1) var(--space-2);

}
#filterActions button:last-of-type{
    background-color: var(--danger);
}

#filterActions button:hover,
#filterActions button:active{
    background-color: var(--primary-3-darker-1);
}

#filterActions button > img {
    width: 2.4rem;
    height: 2.4rem;
}

/* ----------------------- inquiries -------------------------- */
.inquiry-list {
    display:grid;
    grid-template-columns: repeat(auto-fit, minmax(30rem, max-content));
    
    column-gap: var(--space-4);
    row-gap: var(--space-4);

    justify-content: start;
}

.inquiry-card {
    
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: space-between;

    box-shadow: var(--shadow-sm);
    border-radius: var(--radius-sm);

    padding: var(--space-2) var(--space-4);
}

.inquiry-card h2{
    width: 100%;
    font-size: 2rem;
    text-align: center;
    text-shadow: var(--shadow-sm);
    color:var(--primary-3-lighter-1);
    margin-top: 0;
    margin-bottom: var(--space-1);
}
.inquiry-card p {
    font-size: 1.8rem;
    border-bottom: 2px solid var(--primary-3-lighter-2);
    margin:var(--space-1) 0;
    padding: 0;
}

.inquiry-card .price-list {
    padding: 0;
    list-style: none;
}

.inquiry-card .price-list li{
    margin-top:var(--space-4);
    position: relative;
    padding-inline-start: 4rem;
    font-size: 1.6rem;

    text-align: center;
}
.inquiry-card .price-list li::before {
    content: "";
    position: absolute;
    inset-inline-start: 0;
    top: 0;
    right:0;
    width: 2rem;
    height: 2rem;
    background: url("../assets/icons/dimond.svg") center / contain no-repeat;
}

.inquiry-card button{
    margin-top: var(--space-4);
    font-size: 1.6rem;
    
    padding: var(--space-2) var(--space-4);

    background-color: var(--info);

    align-self: flex-end;
}

/* ----------------------------inquiry detail dialog------------------ */

#inquiryDetailsDialog {
    width: calc(100% - 6rem);
    height: calc(100% - 8rem);

    position: fixed;

    border-radius: var(--radius-md);
    box-shadow: var(--shadow-lg);

    overflow: hidden;
}

#inquiryDetailsDialog article{
    width: 100%;
    height: 100%;
    color:#fff;
}

.dialog-header {
    padding: 0;

    width: 100%;
    
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
}

.dialog-header h2{
    width: 100%;
    margin:0;
    font-size: 2.4rem;
    text-align: center;
    color:var(--primary-3-lighter-2);

    border-bottom: 2px solid var(--primary-3-darker-3);
}

.dialog-header button{
    margin: var(--space-1) 0;
    align-self: flex-end;
}
.dialog-header img {
    margin: 0;
    padding: 0;
    width: 2.4rem;
    height: 2.4rem;
}

.inquiry-details-content{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    gap:var(--space-6);
    
    height: 100%;

    width: 100%;
    padding: var(--space-4) var(--space-6);
}

.detail-row{
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap:var(--space-4);
    
    width: 100%;
    
    border-bottom: 2px solid var(--primary-3-darker-2);
}

.detail-row strong{
    
    font-size: 1.6rem;
    width: fit-content;
}

.detail-row span {
    width: fit-content;
    font-size: 1.4rem;
}

.inquiry-details-content h3 {
    margin: 0;
    font-size: 1.8rem;
}

.inquiry-details-content ul{
    margin: 0;
    padding: 0;
    list-style: none;
}

.inquiry-details-content li{
    position: relative;
    padding-inline-start: 4rem;
    font-size: 1.4rem;

    text-align: center;
}
.inquiry-details-content li::before {
    content: "";
    position: absolute;
    inset-inline-start: 0;
    top: 0;
    right:0;
    width: 2rem;
    height: 2rem;
    background: url("../assets/icons/dimond.svg") center / contain no-repeat;
}
@media (min-width:460px){
    .inquiry-list{
        justify-content: center;
    }
    .filter-panel > div{
        grid-column: 1 / -1;
    }
}

@media (min-width: 580px) {
    .filter-panel > button {
        grid-column: 1 / -1;
    }
    .filter-panel > div{
        grid-column: auto;
    }

    #filterActions {
        grid-row: 6;
        grid-column: 1 / -1;

        height: 6.4rem;
    }

    #filterActions button {
        justify-content: center;
        gap: var(--space-4)
    }
}

@media (min-width:690px) {
    .filter-panel {
        grid-template-columns: repeat(auto-fit, minmax(30rem, 1fr));
    }
}

@media (min-width:920px) {

    .main-container {
    width: calc(100% - 4rem);
    height: 100%;

    border-radius: var(--radius-mg);
    margin-top: 12rem;
    }

    .filter-panel-button {
        display: none;
    }

    .filter-overlay {
        display: none;
    }

    .filter-panel {
        position: relative;
    
        top:0;
        left:0;
    
        width:100%;
        max-height: auto;

        overflow-y: none;

        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
        column-gap: var(--space-2);
        row-gap: var(--space-2);
        align-items: center;

        margin:var(--space-12) 0;
        padding: var(--space-1) 
            var(--space-1) 
            var(--space-4) 
            var(--space-1);

        box-shadow: var(--shadow-md);
        backdrop-filter: blur(18px) saturate(130%);
    
        border-radius: var(--radius-lg);

        transform:none;

        opacity: 1;
        visibility: visible;
        pointer-events: all;

        transition:none;
    
        z-index: 2001;
    }

    .close-filter-panel-button{
        display: none;
    }
    #filterActions {
        margin:0 auto;
        width: 50%;
    }
}

@media (min-width:1330px) {
    .filter-panel {
        grid-template-columns: repeat(auto-fit, minmax(30rem, 1fr));
    }

    #filterActions {
        margin:0 auto;
        width: 40%;
    }
}